Bug 985383 - git-annex inoperable because git user.email config variable ignored
git-annex inoperable because git user.email config variable ignored
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: git-annex (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 07:17 EDT by Stephen
Modified: 2013-08-29 18:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: git-annex-3.20130207-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 18:19:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen 2013-07-17 07:17:06 EDT
Description of problem:

git annex can't read the user.email variable from ~/.gitconfig even though it exists, and refuses to operate.


Version-Release number of selected component (if applicable):

git-annex-3.20121009-3.fc19.x86_64
git-1.8.3.1-1.fc19.x86_64


How reproducible:

Always.


Steps to Reproduce:

$ mkdir test1

$ cd test1

$ git init
Initialized empty Git repository in /home/jo/test1/.git/

$ git annex init
init  
*** Please tell me who you are.

Run

  git config --global user.email "you@example.com"
  git config --global user.name "Your Name"

to set your account's default identity.
Omit --global to set the identity only in this repository.

fatal: empty ident name (for <jo@machine.(none)>) not allowed

git-annex: user error (git ["--git-dir=/home/jo/test1/.git","--work-tree=/home/jo/test1","commit-tree","4b825dc642cb6eb9a060e54bf8d69288fbee4904"] exited 128)
failed
git-annex: init: 1 failed

$ git config --global user.name Jo
$ git config --global user.email jo@example.com

$ cat ~/.gitconfig
[user]
	name = Jo
	email = jo@example.com

$ git config --global user.email
jo@example.com

$ git config user.email
jo@example.com

$ git annex init
init  
*** Please tell me who you are.

Run

  git config --global user.email "you@example.com"
  git config --global user.name "Your Name"

to set your account's default identity.
Omit --global to set the identity only in this repository.

fatal: empty ident name (for <jo@yo.(none)>) not allowed

git-annex: user error (git ["--git-dir=/home/jo/test1/.git","--work-tree=/home/jo/test1","commit-tree","4b825dc642cb6eb9a060e54bf8d69288fbee4904"] exited 128)
failed
git-annex: init: 1 failed


Actual results:

git-annex: init: 1 failed


Expected results:

The annex repo should be initialised with the settings from ~/.gitconfig


Additional info:

env | grep GIT
<nothing>

Tested with a fresh user account.
Comment 1 Stephen 2013-07-19 17:03:53 EDT
I downloaded the pre-built binary from:

  http://downloads.kitenet.net/git-annex/linux/current/git-annex-standalone-amd64.tar.gz

dated 2013-07-09 and 'git annex init' works fine:

$ git annex init
init  ok
(Recording state in git...)

I don't know whether this means that this is a packaging bug or an annex bug which has already been fixed upstream.

I tried:

  sudo yum update --enablerepo=updates-testing git-annex

but there's nothing pending.
Comment 2 Dominic Cleal 2013-08-01 18:24:14 EDT
Confirmed that the newer version fixes this issue, perhaps an incompatibility with a newer version of git.  I rebuilt git-annex-3.20130207-1 from F20 on F19 and "git annex init" now works.
Comment 3 Jens Petersen 2013-08-20 03:50:31 EDT
Thank you Stephen for reporting this and to Dominic for confirming
that 3.20130207 is okay.
Comment 4 Fedora Update System 2013-08-20 04:01:59 EDT
git-annex-3.20130207-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/git-annex-3.20130207-1.fc19
Comment 5 Fedora Update System 2013-08-20 20:03:59 EDT
Package git-annex-3.20130207-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-annex-3.20130207-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15045/git-annex-3.20130207-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-29 18:19:20 EDT
git-annex-3.20130207-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.